#################################################### VERSIONING INFORMATION
%define name    netatalk
%define version 1.6.3
%define realversion 1.6.3
%define release 4mdk
%define tardir	%{name}-%{realversion}

################################################# BASIC PACKAGE INFORMATION
Summary: Appletalk and Appleshare/IP services for Linux
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: System/Servers
Source0: %{name}-%{realversion}.tar.bz2
Patch0: netatalk-1.6.2-lib64.patch.bz2
Patch1: netatalk-1.5.3.1-64bit-fixes.patch.bz2
URL: http://netatalk.sourceforge.net/

############################################################## REQUIREMENTS
Requires: openssl, tcp_wrappers, pam
BuildRequires: cracklib-devel openssl-devel pam-devel quota db4-devel
Prereq: rpm-helper

Prefix:    %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

Note: The default configuration disables both guest accounts and plain-text
      passwords.  To enable these options, review the configuration file
      %{_sysconfdir}/netatalk/afpd.conf.

%package devel
Group: Development/Other
Summary: Appletalk and Appleshare/IP services for Linux development files
%description devel
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

This package is required for developing appletalk-based applications.

%prep
%setup -q -n %{tardir}/
%patch0 -p1 -b .lib64
%patch1 -p1 -b .64bit-fixes
libtoolize --copy --force
aclocal -I macros && autoconf && automake --foreign

%build
export PKGLIBDIR=%{_libdir}/netatalk
export LD_PRELOAD=
CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer -fsigned-char" ./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
    	--sysconfdir=%{_sysconfdir} \
	--with-uams-path=%{_libdir}/netatalk/uams \
    	--with-msg-dir=%{_libdir}/netatalk/msg \
	--with-nls-dir=%{_libdir}/netatalk/nls \
	--with-ssl-dirs=%{_prefix} \
	--enable-redhat \
	--with-cracklib \
	--with-pam \
	--with-shadow \
	--with-tcp-wrappers \
	--with-ssl \
	--enable-pgp-uam \
	--enable-timelord \
	--with-did=cnid \
	--enable-dropkludge \
	--disable-shell-check \
	--with-mangling
%make all

# make maccode.* codepage files
./etc/afpd/nls/makecode

%install

# clean up zero-byte doc files
# (sb) now this breaks the build!
#find $RPM_BUILD_DIR/%{tardir} -size 0  |xargs rm -f

### INSTALL (USING "make install") ###
mkdir -p $RPM_BUILD_ROOT{%{_prefix},%{_sysconfdir}/netatalk/}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/netatalk
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/netatalk/msg

make DESTDIR=$RPM_BUILD_ROOT install

# copy config files - install doesn't do it now
cp $RPM_BUILD_DIR/%{name}-%{version}/config/*.conf $RPM_BUILD_ROOT%{_sysconfdir}/netatalk/
cp $RPM_BUILD_DIR/%{name}-%{version}/config/AppleVolumes.* $RPM_BUILD_ROOT%{_sysconfdir}/netatalk/

# (sb) change to disallow cleartext passwords, example config for guest accounts
cat >> $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/afpd.conf << EOF
# config to allow guest logins, cleartext passwords:
# - -transall -uamlist uams_guest.so,uams_clrtxt.so,uams_dhx.so -nosavepassword
# default config with no guest logins, no cleartext passwords
- -transall -uamlist uams_dhx.so -nosavepassword
EOF

# bzip2 man pages
for i in 1 3 4 5 8; do
	bzip2 $RPM_BUILD_ROOT/usr/man/man$i/*.$i
	mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man$i
	mv $RPM_BUILD_ROOT/usr/man/man$i/*.$i.bz2 $RPM_BUILD_ROOT/%{_mandir}/man$i/
done

# clean up installed but unpackaged files
rm -f $RPM_BUILD_ROOT%{_includedir}/netatalk/*.c
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/netatalk/uams/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/netatalk/uams/*.a
rm -f $RPM_BUILD_ROOT%{_datadir}/netatalk/pagecount.ps

# (sb) we don't ship the rc shell, and cleanappledouble.pl seems to do the same thing
rm -f $RPM_BUILD_ROOT%{_bindir}/acleandir.rc
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/acleandir.1.bz2

%post
%_post_service atalk
/sbin/ldconfig
# after the first install only
if [ "$1" = 1 ]; then
	# add the ddp lines to /etc/services
	if (grep '[0-9][0-9]*/ddp' /etc/services >/dev/null); then
		cat <<'_EOD1_' >&2
warning: The DDP services appear to be present in /etc/services.
warning: Please check them against services.atalk in the documentation.
_EOD1_
		true
	else
		cat <<'_EOD2_' >>/etc/services
# start of DDP services
#
# Everything between the 'start of DDP services' and 'end of DDP services'
# lines will be automatically deleted when the netatalk package is removed.
#
rtmp		1/ddp		# Routing Table Maintenance Protocol
nbp		2/ddp		# Name Binding Protocol
echo		4/ddp		# AppleTalk Echo Protocol
zip		6/ddp		# Zone Information Protocol

afpovertcp	548/tcp		# AFP over TCP
afpovertcp	548/udp
# end of DDP services
_EOD2_
	fi
fi

%preun
%_preun_service atalk

%postun
# do only for the last un-install
if [ "$1" = 0 ]; then
	# remove the ddp lines from /etc/services
	if (grep '^# start of DDP services$' /etc/services >/dev/null && \
	    grep '^# end of DDP services$'   /etc/services >/dev/null ); then
	  sed -e '/^# start of DDP services$/,/^# end of DDP services$/d' \
	    </etc/services >/etc/services.tmp$$
	  cat /etc/services.tmp$$ >/etc/services
	  rm /etc/services.tmp$$
	else
	  cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of DDP services` and
warning: `# end of DDP services` in the file /etc/services.
warning: You should remove the DDP services from /etc/services manually.
_EOD3_
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{tardir}/

%files
%defattr(-,root,root)
%doc ChangeLog doc/README* doc/DEVELOPER doc/FAQ doc/INSTALL
%dir %{_sysconfdir}/netatalk
%dir %{_libdir}/netatalk
%dir %{_libdir}/netatalk/msg
%config(noreplace) %{_sysconfdir}/netatalk/Apple*
%config(noreplace) %{_sysconfdir}/netatalk/*.conf
%config(noreplace) %{_sysconfdir}/pam.d/netatalk
%dir %{_libdir}/netatalk/nls
%{_libdir}/netatalk/nls/*
%dir %{_libdir}/netatalk/uams
%attr(755,root,root) %{_libdir}/netatalk/uams/*.so
%config(noreplace) %attr(755,root,root) %{_initrddir}/atalk
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%dir %{_includedir}/atalk
%{_includedir}/atalk/*.h
%dir %{_includedir}/netatalk
%{_includedir}/netatalk/*.h
%{_datadir}/aclocal/netatalk.m4

%changelog
* Tue Sep  2 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.3-4mdk
- fix buildrequires

* Mon Jul 21 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.3-3mdk
- remove explicit crack* requires

* Mon Jul 21 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.3-2mdk
- rebuild for move libcrack2

* Tue Jul  1 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3, libdb4.1

* Tue May 27 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.2-5mdk
- distriblint

* Sat May 17 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.2-4mdk
- remove acleandir.rc - dependency on rc shell

* Fri May 16 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.2-3mdk
- use db4, change default config to not allow cleartext passwords
- add additional sample entries to %{_sysconfdir}/netatalk/afpd.conf

* Sat Apr 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.6.2-2mdk
- make it lib64 aware, add some 64-bit fixes

* Wed Apr  9 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.2-1mdk
- 1.6.2

* Fri Dec 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.0-2mdk
- rebuild for new glibc/rpm

* Mon Dec 9 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.6.0-1mdk
- new version, add --with-mangling (long filenames)
- try did=cnid now that libdb3 is no longer broken on ppc
- BuildRequires libdb3.3-devel, clean installed but not packaged files

* Tue Oct 15 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.5-2mdk
- fix configdir path for initscript
- with-did=last
- limit docs to just docs

* Tue Oct  8 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.5-1mdk
- new version, /etc/atalk->/etc/netatalk
- new config flags: enable-timelord (Macintosh time server daemon)
		    with-did=cnid (Berkeley DB3 scheme)
		    enable-dropkludge (experimental dropbox fix)
		    disable-shell-check (allow users w/o valid shell)
- use newer post/preun macros

* Fri Apr  5 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.3.1-1mdk
- new version

* Thu Mar 21 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.2-1mdk
- new version

* Fri Jan 18 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.1.1-1mdk
- new version

* Thu Jan 17 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.0-3mdk
- correct configure flags to fix init script and location of atalkd.tmp 
- setup codepage files and place in /usr/lib/atalk
- Thanks - Frederic Corne, Tomas Perez
- build with new spec-helper to address initscript issue
 
* Sun Jan  6 2002 Stefan van der Eijk <stefan@eijk.nu> 1.5.0-2mdk
- BuildRequires: quota (rpcsvc/rquota.h)
- fix install of config files

* Wed Jan  2 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.5.0-1mdk
- 1.5 release, spec mods

* Thu Nov  8 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.5_pre6-1mdk
- SRPM from sourceforge - cleanup spec a bit - rpmlint/FHS conformance

* Thu Apr 12 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre6-1mdk
  - pre-release 6 for sourceforge

* Wed Mar 07 2001 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre5-1mdk
  - pre-release 5 for sourceforge
  - sync with redhat package

* Mon Dec 18 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.5pre3-1mdk
  - pre-release 3 for sourceforge
  - moved away from 1.4.99 ... 

* Wed Nov 08 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20001108mdk
  - pre-release 2 for sourceforge

* Wed Sep 27 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20000927mdk
  - pre-release 1 for sourceforge

